# Uses of Class
java.awt.image.BufferStrategy

Packages that use BufferStrategy
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of BufferStrategy in java.awt

Subclasses of BufferStrategy in java.awt
Modifier and Type
Class
Description
`protected class`
`Component.BltBufferStrategy`
Inner class for blitting offscreen surfaces to a component.
`protected class`
`Component.FlipBufferStrategy`
Inner class for flipping buffers on a component.
Methods in java.awt that return BufferStrategy
Modifier and Type
Method
Description
`BufferStrategy`
Canvas.`getBufferStrategy()`
Returns the `BufferStrategy` used by this component.
`BufferStrategy`
Window.`getBufferStrategy()`
Returns the `BufferStrategy` used by this component.